/***********************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * Actuate Corporation - initial API and implementation
 ***********************************************************************/

package org.eclipse.birt.chart.ui.swt;

import java.text.MessageFormat;

import org.eclipse.birt.chart.ui.i18n.Messages;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;

/**
 * @author Actuate Corporation
 *  
 */
public class SheetPlaceHolder extends Composite
{

    public SheetPlaceHolder(Composite parent, int iStyle, String sLabel)
    {
        super(parent, iStyle);

        FillLayout fillLayout = new FillLayout();
        setBackground(new Color(Display.getDefault(), 200, 200, 255));
        setLayout(fillLayout);
        setSize(parent.getSize());

        Label lbl = new Label(this, SWT.CENTER | SWT.BORDER);
        lbl.setText(new MessageFormat(Messages.getString("SheetPlaceHolder.Lbl.Placeholder")).format(new Object[] {sLabel})); //$NON-NLS-1$
        layout();
    }
}